#pragma once
#include "./utils/matrix.h"
#include "./numerics/matequal.h"

namespace utils {

	// definitions of the previously-declared members
	template <typename T>
	inline bool Matrix<T>::equals(const Matrix<T>& B, T tol) const {
	    return numerics::matequal(*this, B, tol);
	}
	template <typename T>
	inline bool Matrix<T>::equals_omp(const Matrix<T>& B, T tol) const {
	    return numerics::matequal_omp(*this, B, tol);
	}

	template <typename T>
	inline bool Matrix<T>::equals_auto(const Matrix<T>& B, T tol) const {
	    return numerics::matequal_auto(*this, B, tol);
	}

} // namespace utils